<div (clickOutside)="close_outline($event)" class="mt-3 py-3 pl-3 pr-4 pb-0 custom-box-shadow mega-dropdown engine-outline-control outline-container" [perfectScrollbar]>
    <div class="group-container olgroup-container remove-placeholder">
        <div id="olgroup-outline" class="outLine">
            <!-- sales analysis -->
            <div *ngIf="type === 'parent_child'">
                <app-hint  [id]="'outline-jump'"></app-hint>
                <div class="example-container"
                     [ngClass]="fg?.childs?.length>1 ? 'outline-group': '' "
                     *ngFor="let fg of outline_control;index as i;index as j">
                    <div class="example-list remove_dynamic scroll_postion_{{i}}" style="overflow: visible;"
                         [ngClass]="{'mh-5' : fg.childs.length === 0}">
                        <div class="example-box flex-column"
                             *ngFor="let singleItem of fg.childs;index as k">
                            <!-- parent_group name -->
                            <div (click)="scroll_down(singleItem,fg.childs, 'parent_title')"
                                 *ngIf="k==0 && fg?.childs?.length >1 && singleItem?.parent_group_name"
                                 style="margin-bottom:6px;line-height: 1.5;cursor: pointer;height:38px;width:100%;position: relative;" class="d-flex align-items-center">
                                <div class="title_left_highlights"></div>
                                <div class="WSF f-13" [ngClass]="{'next-pre-link fw-600': singleItem?.parent_group_name === parent_group_name && singleItem?.is_expand === false}">{{singleItem?.parent_group_name}}</div>
                            </div>
                            <!-- parent title -->
                        
                            
                            <button (click)="scroll_down(singleItem,fg.childs, null)"
                                    [class.btnsingleitem]="singleItem?.object_id === activeState?.object_id"
                                    style="cursor: pointer;"
                                    class="btn btn-default text-left w-100 ml-0 borderless bg-gray95 outlinechild-hover f-13">
                                {{singleItem?.view_name}}
                            </button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- other engines -->
            <div *ngIf="type === 'normal'">
                <app-hint  [id]="'outline-jump'"></app-hint>
                <div class="example-container scroll_postion_{{i}}"
                     *ngFor="let fg of outline_control;index as i;index as j">
                    <div class="example-list remove_dynamic">
                        <div class="example-box"
                             (click)="scroll_down(fg,null, null)">
                            <button [class.btnsingleitem]="fg?.object_id === activeState?.object_id"
                                    style="cursor: pointer;"
                                    class="btn btn-default text-left w-100 ml-0 borderless bg-gray95 outlinechild-hover">
                                {{fg?.view_name}}
                            </button>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
